start rerun
curl --request POST \
--url https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/rerun \
--header 'Content-Type: application/json' \
--data '
{
"submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tasks": [
"<string>"
],
"failed_only": true,
"include_downstream": true
}
'import requests
url = "https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/rerun"
payload = {
"submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tasks": ["<string>"],
"failed_only": True,
"include_downstream": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
submission_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tasks: ['<string>'],
failed_only: true,
include_downstream: true
})
};
fetch('https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/rerun', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/rerun",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'submission_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'tasks' => [
'<string>'
],
'failed_only' => true,
'include_downstream' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/rerun"
payload := strings.NewReader("{\n \"submission_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"tasks\": [\n \"<string>\"\n ],\n \"failed_only\": true,\n \"include_downstream\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/rerun")
.header("Content-Type", "application/json")
.body("{\n \"submission_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"tasks\": [\n \"<string>\"\n ],\n \"failed_only\": true,\n \"include_downstream\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/rerun")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"submission_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"tasks\": [\n \"<string>\"\n ],\n \"failed_only\": true,\n \"include_downstream\": true\n}"
response = http.request(request)
puts response.read_body{
"submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workload_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}Start rerun
start rerun. POST /api/v1/workloads//runs//rerun. Uses the same payload, validation, revision checks and response as the unified HTTP API.
start rerun
curl --request POST \
--url https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/rerun \
--header 'Content-Type: application/json' \
--data '
{
"submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tasks": [
"<string>"
],
"failed_only": true,
"include_downstream": true
}
'import requests
url = "https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/rerun"
payload = {
"submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tasks": ["<string>"],
"failed_only": True,
"include_downstream": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
submission_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tasks: ['<string>'],
failed_only: true,
include_downstream: true
})
};
fetch('https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/rerun', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/rerun",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'submission_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'tasks' => [
'<string>'
],
'failed_only' => true,
'include_downstream' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/rerun"
payload := strings.NewReader("{\n \"submission_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"tasks\": [\n \"<string>\"\n ],\n \"failed_only\": true,\n \"include_downstream\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/rerun")
.header("Content-Type", "application/json")
.body("{\n \"submission_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"tasks\": [\n \"<string>\"\n ],\n \"failed_only\": true,\n \"include_downstream\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/rerun")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"submission_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"tasks\": [\n \"<string>\"\n ],\n \"failed_only\": true,\n \"include_downstream\": true\n}"
response = http.request(request)
puts response.read_body{
"submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workload_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}ReferenceApplies to: Unified engine deployments
Related guidance
Addresses and access · Request identity · Errors and recovery · Pagination and resultsBody
application/json
Last modified on November 4, 2026